[unix_http_server]
# On CentOS/OracleLinux this is the default sock path which supervisorctl looks up. By providing exactly this value,
# supervisorctl can be used without specifying -c/--configuration (where a [supervisorctl] section with an appropriate
# serverurl= directive should be present) or -s/--serverurl. This path varies across different supervisor builds on
# different Linux distros.
file=/var/run/supervisor/supervisor.sock

[inet_http_server]
port=0.0.0.0:9001

[rpcinterface:supervisor]
supervisor.rpcinterface_factory=supervisor.rpcinterface:make_main_rpcinterface

[supervisorctl]
serverurl=unix:///var/run/supervisor/supervisor.sock

[supervisord]
nodaemon=true
logfile=/var/log/supervisor/supervisord.log
pidfile=/var/run/supervisor/supervisord.pid



[program:rsyslogd]
# command lists "; && ||" are not supported in sh
command=bash -c 'rm -f /var/run/syslogd.pid -- && rsyslogd -n'
stdout_logfile=/dev/fd/1
stdout_logfile_maxbytes=0
stderr_logfile=/dev/fd/2
stderr_logfile_maxbytes=0
autorestart=true

[program:sshd]
command=/usr/sbin/sshd -D
stdout_logfile=/dev/fd/1
stdout_logfile_maxbytes=0
stderr_logfile=/dev/fd/2
stderr_logfile_maxbytes=0
autorestart=true
